Bug 1892428 - Clean up dependencies to avoid invalid scan flagging
Summary: Clean up dependencies to avoid invalid scan flagging
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.6
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.6.z
Assignee: Jakub Hadvig
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On: 1887864
Blocks: 1905909
TreeView+ depends on / blocked
 
Reported: 2020-10-28 18:25 UTC by OpenShift BugZilla Robot
Modified: 2020-12-14 13:50 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-12-14 13:50:25 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7022 0 None closed [release-4.6] Bug 1892428: Update library-go and replace runc module for v1.0.0-rc8 version 2021-01-20 19:22:36 UTC
Red Hat Product Errata RHSA-2020:5259 0 None None None 2020-12-14 13:50:39 UTC

Comment 1 Jakub Hadvig 2020-11-13 11:28:30 UTC
Raising to Urgent since we need to merge and verify this ASAP since customer is blocked.

Comment 5 Yadan Pei 2020-12-09 06:21:50 UTC
Fetch latest console code of release-4.6 branch

[yapei@New_Mac console]$ git rebase origin/release-4.6
First, rewinding head to replay your work on top of it...
Fast-forwarded release-4.6 to origin/release-4.6.
[yapei@New_Mac console]$ go mod graph | grep opencontainers/runc
github.com/deislabs/oras@v0.8.1 github.com/opencontainers/runc@v0.1.1
github.com/Microsoft/hcsshim@v0.8.7 github.com/opencontainers/runc@v0.0.0-20190115041553-12f6a991201f
github.com/openshift/library-go@v0.0.0-20200424095618-2aeb4725dadf github.com/opencontainers/runc@v0.0.0-20191031171055-b133feaeeb2e
[yapei@New_Mac console]$  
[yapei@New_Mac console]$ go list -m all | grep opencontainers/runc
github.com/opencontainers/runc v0.1.1 => github.com/opencontainers/runc v1.0.0-rc8.0.20190926150303-84373aaa560b
[yapei@New_Mac console]$ 
[yapei@New_Mac console]$ go list -m all | grep deislabs/oras
github.com/deislabs/oras v0.8.1
[yapei@New_Mac console]$ 
[yapei@New_Mac console]$ go list -m all | grep openshift/library-go
github.com/openshift/library-go v0.0.0-20200424095618-2aeb4725dadf


opencontainers/runc module is updated to 1.0.0-rc8 which include the fix, moving to VERIFIED

Comment 7 errata-xmlrpc 2020-12-14 13:50:25 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.6.8 security and bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5259


Note You need to log in before you can comment on or make changes to this bug.